<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop Enterprise 2.7.1                                     ***
  ***      File:  admin_shipping_rule.php                                  ***
  ***      Built: Wed Sep 20 13:19:51 2006                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");

	check_admin_security("static_tables");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_shipping_rule.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_lookup_tables_href", "admin_lookup_tables.php");
	$t->set_var("admin_shipping_rules_href", "admin_shipping_rules.php");
	$t->set_var("admin_shipping_rule_href", "admin_shipping_rule.php");

	$r = new VA_Record($table_prefix . "shipping_rules");
	$r->return_page = "admin_shipping_rules.php";

	$r->add_where("shipping_rule_id", INTEGER);

	$r->add_textbox("shipping_rule_desc", TEXT, "Shipping Rule");
	$r->change_property("shipping_rule_desc", REQUIRED, true);

	$r->process();

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>
