<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop Enterprise 2.7.1                                     ***
  ***      File:  install_messages.php                                     ***
  ***      Built: Wed Sep 20 13:19:51 2006                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	// mensajes de la instalacin
	define("INSTALL_TITLE", "Instalacin de ViArt SHOP");

	define("INSTALL_STEP_1_TITLE", "Instalacin: Paso 1");
	define("INSTALL_STEP_1_DESC", "Gracias por escoger ViArt. Para completar esta instalacin por favor rellene los detalles necesarios. Tenga en cuenta que la base de datos en la cual usted hace la instalacin debe haber sido creada con antelacin. Si est instalando en una base de datos que utiliza ODBC, por ejemplo MS Access, debe crear un DSN antes de continuar.");
	define("INSTALL_STEP_2_TITLE", "Instalacin: Paso 2");
	define("INSTALL_STEP_2_DESC", "");
	define("INSTALL_STEP_3_TITLE", "Instalacin: Paso 3");
	define("INSTALL_STEP_3_DESC", "Por favor escoja el aspecto de su sitio. Podr cambiar dicho aspecto posteriormente.");
	define("INSTALL_FINAL_TITLE", "Instalacin: Final");
	define("SELECT_DATE_TITLE", "Escoja el formato de Fecha");

	define("DB_SETTINGS_MSG", "Parmetros de la base de datos");
	define("DB_PROGRESS_MSG", "Progreso del llenado de la estructura de la Base de Datos");
	define("SELECT_PHP_LIB_MSG", "Escoja la Biblioteca de PHP");
	define("SELECT_DB_TYPE_MSG", "Escoja el tipo de base de datos");
	define("SELECT_FROM_LIST_MSG", "Escoja de la lista");
	define("ADMIN_SETTINGS_MSG", "Parmetros de administracin ");
	define("DATE_SETTINGS_MSG", "Formatos de la Fecha");
	define("NO_DATE_FORMATS_MSG", "Los formatos de la fecha no estn disponibles");
	define("INSTALL_FINISHED_MSG", "En este punto ha terminado la instalacin bsica. Por favor asegrese de que los parmetros sean correctos y haga los cambios necesarios en la seccin de Administracin.");
	define("ACCESS_ADMIN_MSG", "Para entrar en la seccin de Administracin pinche aqu.");
	define("ADMIN_URL_MSG", "Direccin de la pgina de Administracin");
	define("SITE_URL_MSG", "Pgina de su Sitio Web");
	define("THANKS_MSG", "Gracias por escoger <b>ViArt SHOP</b>. ");

	define("DB_TYPE_FIELD", "Tipo de base de datos");
	define("DB_PHP_LIB_FIELD", "Biblioteca de PHP");
	define("DB_HOST_FIELD", "Servidor");
	define("DB_PORT_FIELD", "Puerto");
	define("DB_NAME_FIELD", "Nombre de la base de datos / DSN");
	define("DB_USER_FIELD", "Nombre de usuario");
	define("DB_PASS_FIELD", "Contrasea");
	define("DB_PERSISTENT_FIELD", "Conexin constante");
	define("POPULATE_DB_FIELD", "Poblar la base de datos");
	define("POPULATE_DB_DESC", "Para crear la estructura de las tablas y llenarlas con datos marque el cuadrito.");
	define("DB_TEST_DATA_FIELD", "Test Data");
	define("DB_TEST_DATA_DESC", "to add some test data to your database tick the checkbox");
	define("SITE_URL_FIELD", "Direccin Web del Sitio");
	define("ADMIN_EMAIL_FIELD", "Correo electrnico del Administrador");
	define("ADMIN_LOGIN_FIELD", "Nombre del Administrador");
	define("ADMIN_PASS_FIELD", "Contrasea del administrador");
	define("ADMIN_CONF_FIELD", "Confirmar contrasea");
	define("DATETIME_SHOWN_FIELD", "Formato de hora (mostrado en el sitio)");
	define("DATE_SHOWN_FIELD", "Formato de fecha (mostrado en el sitio)");
	define("DATETIME_EDIT_FIELD", "Formato de hora (para edicin)");
	define("DATE_EDIT_FIELD", "El formato de la fecha (para edicin)");
	define("DATE_FORMAT_COLUMN", "Formato de la fecha");
	define("CURRENT_DATE_COLUMN", "Fecha de hoy");

	define("DB_LIBRARY_ERROR", "PHP functions for {db_library} are not defined. Please check your database settings in your configuration file - php.ini.");
	define("DB_CONNECT_ERROR", "No es posible conectarse con la base de datos. Por favor verifique los parmetros de la base de datos.");
	define("INSTALL_FINISHED_ERROR", "El proceso de la instalacin ha terminado.");
	define("WRITE_FILE_ERROR", "No hay permiso de escritura para el archivo <b>'includes/var_definition.php'</b>. Por favor cambie el permiso de escritura del archivo antes de continuar.");
	define("WRITE_DIR_ERROR", "No hay permiso de escritura para entrar en la carpeta  <b>'includes/'</b>. Por favor cambie el permiso del portafolio antes de continuar.");
	define("DUMP_FILE_ERROR", "El archivo de volcado '{file_name}' no se encuentra.");
	define("DB_TABLE_ERROR", "La tabla '{table_name}' no se encuentra. Por favor llene la base de datos con los datos necesarios.");

	// renovar los mensajes
	define("UPGRADE_TITLE", "Actualizacin de ViArt SHOP");
	define("UPGRADE_NOTE", "Aviso: Por favor tenga en cuenta que es aconsejable hacer una copia de seguridad de la base de datos antes de proceder.");
	define("UPGRADE_AVAILABLE_MSG", "Actualizacin disponible");
	define("UPGRADE_BUTTON", "Actualizar a {version_number} ahora.");
	define("CURRENT_VERSION_MSG", "La versin instalada actualmente.");
	define("LATEST_VERSION_MSG", "La versin disponible para la instalacin.");
	define("UPGRADE_RESULTS_MSG", "Resultados de la actualizacin");
	define("SQL_SUCCESS_MSG", "Las instrucciones SQL han tenido xito");
	define("SQL_FAILED_MSG", "Las instrucciones SQL han fallado");
	define("SQL_TOTAL_MSG", "Total de instrucciones SQL ejecutadas");
	define("VERSION_UPGRADED_MSG", "Su versin ha sido actualizada a");
	define("ALREADY_LATEST_MSG", "Usted ya posee la ltima versin");
	define("DOWNLOAD_NEW_MSG", "The new version was detected");
	define("DOWNLOAD_NOW_MSG", "Download version {version_number} now");
	define("DOWNLOAD_FOUND_MSG", "We have detected that the new {version_number} version is available to donwload. Please click the link below to start downloading. After completing the download and replacing the files don't forget to run Upgrade routine again.");
	define("NO_XML_CONNECTION", "Warning! No connection to 'http://www.viart.com/' available!");

?>
