<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop Enterprise 2.7.1                                     ***
  ***      File:  admin_banners_group.php                                  ***
  ***      Built: Wed Sep 20 13:19:51 2006                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");

	check_admin_security("banners");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_banners_group.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_banners_href", "admin_banners.php");
	$t->set_var("admin_banners_groups_href", "admin_banners_groups.php");
	$t->set_var("admin_banners_group_href", "admin_banners_group.php");

	$r = new VA_Record($table_prefix . "banners_groups");
	$r->return_page = "admin_banners_groups.php";

	$r->add_where("group_id", INTEGER);
	$r->add_checkbox("is_active", INTEGER, "Is Active");
	$r->add_textbox("group_name", TEXT, "Group Name");
	$r->change_property("group_name", REQUIRED, true);
	$r->add_textbox("group_desc", TEXT);
	$r->add_hidden("page", INTEGER);
	$r->add_hidden("sort_dir", TEXT);
	$r->add_hidden("sort_ord", TEXT);

	$r->process();

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>