<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop Enterprise 2.7.1                                     ***
  ***      File:  admin_select.php                                         ***
  ***      Built: Wed Sep 20 13:19:51 2006                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include_once ($root_folder_path . "includes/sorter.php");

	check_admin_security("products_categories");

	$t = new VA_Template($settings["admin_templates_dir"]);
	$t->set_file("main","admin_select.html");

	$t->set_var("admin_upload_href", "admin_upload.php");
	$t->set_var("admin_select_href", "admin_select.php");

	$filetype = get_param("filetype");
	$sort_dir = get_param("sort_dir");
	if (!$sort_dir) { $sort_dir = "asc"; }
	$search_image = get_param("s_im");
	$image_index = get_param("image_index");

	$t->set_var("s_im", $search_image);

	$s = new VA_Sorter($settings["admin_templates_dir"], "sorter_img.html", "admin_select.php");
	$s->set_parameters(false, true, true, true);
	$s->set_default_sorting("1", "asc");
	$s->set_sorter("Image Filename", "image_filename", "1", "");

	$t->set_var("filetype", $filetype);
	$t->set_var("image_index", $image_index);

	if ($filetype == "small_image" || $filetype == "article_small") {
		$image_dir = "../images/small/";
	} else if ($filetype == "big_image" || $filetype == "article_large") {
		$image_dir = "../images/big/";
	} else if ($filetype == "super_image") {
		$image_dir = "../images/super/";
	} else if($filetype == "category" || $filetype == "category_small") {
		$image_dir = "../images/categories/";
	} else if($filetype == "category_large") {
		$image_dir = "../images/categories/large/";
	} else if($filetype == "company_small" || $filetype == "company_large") {
		$image_dir = "../images/companies/";
	} else if($filetype == "ad_small") {
		$image_dir = "../images/ads/small/";
	} else if($filetype == "ad_large") {
		$image_dir = "../images/ads/large/";
	} else if($filetype == "forum_small") {
		$image_dir = "../images/forum/small/";
	} else if($filetype == "forum_large") {
		$image_dir = "../images/forum/large/";	
	} else if($filetype == "banner") {
		$image_dir = "../images/bnrs/";
	} else if($filetype == "personal") {
		$image_dir = "../images/users/";
	} else {
		$image_dir = "../images/";
	}

	$dir_values = array();
	if ($dir = @opendir("./" . $image_dir)) 
	{
		$dir_index = 0;
		while($file = readdir($dir)) 
		{
			if ($file != "." && $file != ".." && is_file("./" . $image_dir . $file)) 
			{ 
				$dir_values[$dir_index] = $file;
				$dir_index++;
			} 
		}  
		closedir($dir);
	}

	if ($sort_dir == "desc") {
		array_multisort($dir_values, SORT_DESC);
	}
	if ($sort_dir == "asc") {
		array_multisort($dir_values, SORT_ASC);
	}

	if (strlen($search_image)) {
		$found_image=array();
		for($i = 0; $i < sizeof($dir_values); $i++)
		{
			if (strlen($search_image) <= strlen($dir_values[$i])) {
				if (preg_match("/".$search_image."/i", $dir_values[$i])) {
					$found_image[]=$dir_values[$i];
				}
			}
		}
		$dir_values = $found_image;
	}

	$image_number = isset($dir_values) ? sizeof($dir_values) : 0;
	
	if($image_number)
	{
		for($i = 0; $i < sizeof($dir_values); $i++)
		{
			$t->set_var("image_href", $image_dir . $dir_values[$i]);
			$t->set_var("image_name", $dir_values[$i]);
			$t->parse("image_row", true);
		}

		$t->set_var("no_images", "");
		$t->parse("images", false);
	}
	else
	{
		$t->parse("no_images", false);
		$t->set_var("images", "");
	}

	if (!$image_number and !strlen($search_image)) {	
		$t->set_var("search_images", "");
	} else {
		$t->parse("search_images", false);
	}


	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>