<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop Enterprise 2.7.1                                     ***
  ***      File:  block_category_description.php                           ***
  ***      Built: Wed Sep 20 13:19:51 2006                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


function category_description($block_name)
{
	global $t, $db, $table_prefix, $language_code;
	global $category_id, $restrict_categories_images;
	global $page_settings;

	if(get_setting_value($page_settings, $block_name . "_column_hide", 0)) {
		return;
	}

	if(!isset($category_id) || !strlen($category_id)) { $category_id = get_param("category_id"); }
	$search_category_id = get_param("search_category_id");
	if (strlen($search_category_id)) { $category_id = $search_category_id; }
	else if (!strlen($category_id)) { $category_id = "0"; }

	$sql  = " SELECT category_name, full_description, image_large, image_large_alt ";
	$sql .= " FROM " . $table_prefix . "categories WHERE category_id = " . $db->tosql($category_id, INTEGER);
	$db->query($sql);
	if($db->next_record())
	{
		$category_name    = get_translation($db->f("category_name"));
		$full_description = get_translation($db->f("full_description"));
		$image_large      = $db->f("image_large");
		$image_large_alt  = get_translation($db->f("image_large_alt"));
		

		if (strlen($full_description) || strlen($image_large)) {

	    $t->set_file("block_body", "block_category_description.html");

			if (strlen($image_large)) {
				if (preg_match("/^http\:\/\//", $image_large)) {
					$image_size = "";
				} else {
	        $image_size = @GetImageSize($image_large);
					if (isset($restrict_categories_images) && $restrict_categories_images) { $image_large = "image_show.php?category_id=".$category_id."&type=large"; }
				}
				if(!strlen($image_large_alt)) { $image_large_alt = $category_name; }
        $t->set_var("alt", htmlspecialchars($image_large_alt));
        $t->set_var("src", htmlspecialchars($image_large));
				if(is_array($image_size)) {
	        $t->set_var("width", "width=\"" . $image_size[0] . "\"");
  		    $t->set_var("height", "height=\"" . $image_size[1] . "\"");
				} else {
	        $t->set_var("width", "");
  		    $t->set_var("height", "");
				}
				$t->global_parse("image_large_block", false, false, true);
			} else {
				$t->set_var("image_large_block", "");
			}
	  
			$t->set_var("CATEGORIES_TITLE", CATEGORIES_TITLE);
			$t->set_var("MORE_MSG",         MORE_MSG);
			$t->set_var("READ_MORE_MSG",    READ_MORE_MSG);
			$t->set_var("CLICK_HERE_MSG",   CLICK_HERE_MSG);
			$t->set_var("TOP_CATEGORY_MSG", TOP_CATEGORY_MSG);
	  
			$t->set_var("category_name", $category_name);
			$t->set_var("full_description", $full_description);
	  
			$t->parse("block_body", false);
			$t->parse($block_name, true);
		}
	}

}

?>